<template>
  <v-app>
    <v-navigation-drawer
      v-model="drawer"
      :clipped="clipped"
      fixed
      app
    >
      <v-list>
        <v-list-item
          v-for="(item, i) in items"
          :key="i"
          :to="item.to"
          router
          exact
          color="#FF3D00"
        >
          <v-list-item-action>
            <v-icon>{{ item.icon }}</v-icon>
          </v-list-item-action>
          <v-list-item-content>
            <v-list-item-title v-text="item.title" />
          </v-list-item-content>
        </v-list-item>
      </v-list>
    </v-navigation-drawer>
    <v-app-bar
      :clipped-left="clipped"
      fixed
      app
    >
      <v-app-bar-nav-icon color="#FF3D00" @click.stop="drawer = !drawer" />
      <v-toolbar-title style="color:#FF3D00">
        <b>{{ title }}</b>
      </v-toolbar-title>
      <v-spacer />
    </v-app-bar>
    <v-content>
      <v-container>
        <nuxt />
      </v-container>
    </v-content>
    <v-footer
      :fixed="fixed"
      app
    >
      <span>&copy; 2019</span>
    </v-footer>
  </v-app>
</template>

<script>
export default {
  data () {
    return {
      clipped: true,
      drawer: false,
      fixed: false,
      items: [
        {
          icon: 'mdi-apps',
          title: 'Ana Sayfa',
          to: '/'
        },
        {
          icon: 'mdi-cube-scan',
          title: 'Bilimimsi',
          to: '/bilimimsi'
        },
        {
          icon: 'mdi-fingerprint',
          title: 'Tespitler Filan',
          to: '/tespitler'
        },
        {
          icon: 'mdi-yin-yang',
          title: 'Oradan Buradan',
          to: '/oradanBuradan'
        },
        {
          icon: 'mdi-emoticon-cool-outline',
          title: 'İlginçlikler',
          to: '/ilginclikler'
        },
        {
          icon: 'mdi-card-text-outline',
          title: 'Sen de Yaz',
          to: '/senDeYaz'
        },
        {
          icon: 'mdi-contact-mail',
          title: 'İletişim',
          to: '/iletisim'
        }
      ],
      title: '(re)2'
    }
  }
}
</script>
<style>
.mx-4{
  border: 1.5px solid #FF3D00;
}
* {
  font-family:-apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
}
</style>
